%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Fionnuala Connolly                                                  
%%% July 20th 2016                                                      
%%% This function calculates the initial segment lengths
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function segLengthsInit=calc_initial_lengths(twistSegLengthsInit,bendSegLengthsInit,lengths,segTypes)

extendCount=0; bendCount=0; twistCount=0;
if segTypes(1)==2 
    twistCount=twistCount+1;
    bendCount=bendCount+1;
    segLengthsInit(1) = twistSegLengthsInit(twistCount);
    segLengthsInit(2) = bendSegLengthsInit(bendCount);

elseif segTypes(1)==0
    extendCount=extendCount+1;
    bendCount=bendCount+1;
    segLengthsInit(1) = lengths(extendCount,1)-bendSegLengthsInit(bendCount)/2;
    segLengthsInit(2) = bendSegLengthsInit(bendCount);
end


for i=3:length(segTypes)
    if segTypes(i)==0
        extendCount=extendCount+1;
        segLengthsInit(i) = lengths(extendCount,1)-bendSegLengthsInit(bendCount)/2;

    elseif segTypes(i)==1
        bendCount=bendCount+1;
        segLengthsInit(i) = bendSegLengthsInit(bendCount);
        segLengthsInit(i-1)=segLengthsInit(i-1)-bendSegLengthsInit(bendCount)/2;

    end
end

